## org.opengis.coverage.grid
Interface FootPrint

    @UML(identifier="CV_FootPrint",
         specification=ISO_19123)
    public interface FootPrint

The presentation of an observed or measured space surrounding a sample point in the context of some external coordinate reference system.

Method Summary
`GridPoint` `getCenter()` Returns the grid point to which this foor print corresponds.
`Geometry` `getGeometry()` Returns the geometry that shapes the foot print.

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    Geometry getGeometry()

  Returns the geometry that shapes the foot print. In the simplest case this can be a point, but it can also be a disc, sphere or hypersphere

### getCenter

    @UML(identifier="center",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridPoint getCenter()

  Returns the grid point to which this foor print corresponds.

  See Also:
    `GridPoint.getFootPrint()`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.